PROJ	=DIAL
DEBUG	=0
CC	=qcl
AS	=qcl
CFLAGS_G	= /AS /W1 /Ze 
CFLAGS_D	= /Zd /Od 
CFLAGS_R	= /Od /Gs /DNDEBUG 
CFLAGS	=$(CFLAGS_G) $(CFLAGS_R)
AFLAGS_G	= /Cx /W1 /P1 
AFLAGS_D	= /Zd 
AFLAGS_R	= /DNDEBUG 
AFLAGS	=$(AFLAGS_G) $(AFLAGS_R)
LFLAGS_G	= /CP:0xfff /NOI /SE:0x80 /ST:0x800 
LFLAGS_D	= 
LFLAGS_R	= 
LFLAGS	=$(LFLAGS_G) $(LFLAGS_R)
RUNFLAGS	=
OBJS_EXT = 	
LIBS_EXT = 	

.asm.obj: ; $(AS) $(AFLAGS) -c $*.asm

all:	$(PROJ).EXE

dtr.obj:	dtr.c $(H)

test.obj:	test.c $(H)

to_modem.obj:	to_modem.c $(H)

com_adr.obj:	com_adr.c $(H)

$(PROJ).EXE:	dtr.obj test.obj to_modem.obj com_adr.obj $(OBJS_EXT)
	echo >NUL @<<$(PROJ).crf
dtr.obj +
test.obj +
to_modem.obj +
com_adr.obj +
$(OBJS_EXT)
$(PROJ).EXE

$(LIBS_EXT);
<<
	qlink $(LFLAGS) @$(PROJ).crf

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)

